List Tools
GET
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
tools
List Tools
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/tools \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"name": "<string>",
"description": "<string>",
"parameters": {},
"required": [
"<string>"
],
"http_url": "<string>",
"http_method": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"archived_at": "<string>",
"kind": "custom_webhook",
"composio_toolkit_slug": "<string>",
"composio_tool_slug": "<string>",
"composio_connection_id": "<string>",
"mcp_tool_name": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List Tools
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/tools \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"name": "<string>",
"description": "<string>",
"parameters": {},
"required": [
"<string>"
],
"http_url": "<string>",
"http_method": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"archived_at": "<string>",
"kind": "custom_webhook",
"composio_toolkit_slug": "<string>",
"composio_tool_slug": "<string>",
"composio_connection_id": "<string>",
"mcp_tool_name": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
